> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange

> Exchange your `exchange_token` for the Link.

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /links/exchange
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /links/exchange:
    get:
      summary: Exchange
      description: Exchange your `exchange_token` for the Link.
      operationId: exchange
      parameters:
        - name: exchange_token
          in: query
          description: Temporary token to get Link resource of your users connections.
          schema:
            type: string
            default: li_abc1234_exchange_token_1234
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_1234abcd
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "link_XjJXdkxukfbd8PYC",
                        "holder_id": "123456789",
                        "username": "123456789",
                        "holder_type": "individual",
                        "created_at": "2022-11-29T17:44:13.963Z",
                        "institution": {
                            "id": "cl_banco_estado",
                            "name": "Banco Estado",
                            "country": "cl"
                        },
                        "link_token": "link_XjJXdkxukfbd8PYC_token_tkPy4WHSLHp1oiKVItONG0Uq",
                        "mode": "live",
                        "active": true,
                        "status": "active",
                        "object": "link",
                        "accounts": [
                            {
                                "id": "acc_a6WUojQ2SjSSeFjH",
                                "type": "sight_account",
                                "number": "12345678",
                                "name": "Cuenta Vista",
                                "official_name": "CuentaRUT",
                                "balance": {
                                    "available": 5000,
                                    "current": 5000,
                                    "limit": 5000
                                },
                                "holder_id": "123456789",
                                "holder_name": "JON SNOW",
                                "currency": "CLP",
                                "refreshed_at": "2022-11-29T18:51:04.026Z",
                                "object": "account"
                            }
                        ]
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: link_XjJXdkxukfbd8PYC
                  holder_id:
                    type: string
                    example: '123456789'
                  username:
                    type: string
                    example: '123456789'
                  holder_type:
                    type: string
                    example: individual
                  created_at:
                    type: string
                    example: '2022-11-29T17:44:13.963Z'
                  institution:
                    type: object
                    properties:
                      id:
                        type: string
                        example: cl_banco_estado
                      name:
                        type: string
                        example: Banco Estado
                      country:
                        type: string
                        example: cl
                  link_token:
                    type: string
                    example: link_XjJXdkxukfbd8PYC_token_tkPy4WHSLHp1oiKVItONG0Uq
                  mode:
                    type: string
                    example: live
                  active:
                    type: boolean
                    example: true
                    default: true
                  status:
                    type: string
                    example: active
                  object:
                    type: string
                    example: link
                  accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: acc_a6WUojQ2SjSSeFjH
                        type:
                          type: string
                          example: sight_account
                        number:
                          type: string
                          example: '12345678'
                        name:
                          type: string
                          example: Cuenta Vista
                        official_name:
                          type: string
                          example: CuentaRUT
                        balance:
                          type: object
                          properties:
                            available:
                              type: integer
                              example: 5000
                              default: 0
                            current:
                              type: integer
                              example: 5000
                              default: 0
                            limit:
                              type: integer
                              example: 5000
                              default: 0
                        holder_id:
                          type: string
                          example: '123456789'
                        holder_name:
                          type: string
                          example: JON SNOW
                        currency:
                          type: string
                          example: CLP
                        refreshed_at:
                          type: string
                          example: '2022-11-29T18:51:04.026Z'
                        object:
                          type: string
                          example: account
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "error": {
                            "type": "invalid_request_error",
                            "message": "Expired exchange_token. This token cannot be used again because it's valid time has passed.",
                            "code": "expired_exchange_token",
                            "param": "exchange_token",
                            "doc_url": "https://docs.fintoc.com/reference/errors"
                        }
                    }
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        example: invalid_request_error
                      message:
                        type: string
                        example: >-
                          Expired exchange_token. This token cannot be used
                          again because it's valid time has passed.
                      code:
                        type: string
                        example: expired_exchange_token
                      param:
                        type: string
                        example: exchange_token
                      doc_url:
                        type: string
                        example: https://docs.fintoc.com/reference/errors
      deprecated: false

````